Bug 467109 - fn key on XO mapped wierdly -- works but generates extra character
fn key on XO mapped wierdly -- works but generates extra character
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On: FedoraXOKeyboard
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2008-10-15 15:15 EDT by Jack Spaar
Modified: 2013-01-13 07:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:35:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Spaar 2008-10-15 15:15:40 EDT
Description of problem: Pressing Fn key on XO 
generates unwanted extra characters.  When pressed in combination with arrow keys (to produce home/end or pgup/pgdown), the correct output is generated as well as an extra unwanted character.


Version-Release number of selected component (if applicable):
kernel: 2.6.27-1.fc10.i686
F10-Snap1-i686-Live.iso

How reproducible:
Always

Steps to Reproduce:
1. Press fn key, alone or in combination with an arrow key
2. 
3.
  
Actual results:
Outputs spurious extra character.
On console without X running, extra character appears as "~".
If fn is pressed in combination with left-arrow to produce the Home key, the appropriate home-key action happens along with an extra "~" character.  (e.g., at the shell command line, Home will return cursor to beginning of the line, while also inserting an unwanted "~".)  Some goes for End, PgUp, and PgDown.

With X running, the same behaviour is seen, but extra character appears as "=".

Expected results:
Output only Home, End, PgUp, or PgDown, with no extra characters.

Additional info:
Unlike pressing the game pad keys on the XO, no "atkbd.c: Unknown key pressed" errors are generated for the fn key and its combinations.
Comment 1 Bug Zapper 2008-11-25 22:54:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-18 03:35:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 01:35:08 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.